//Source file: ChargingManagerListener.java
//Date: January 2004
//Charging Interfaces and Data Types for 3GPP TS 29.198-12 V5.4.0

package org.csapi.jr.se.cs;

/**
 * This interface is to be implemented for receiving events issued by the ChargingManager service object.<BR>
 *
 */
public interface ChargingManagerListener extends java.util.EventListener {


   /**
    * Called due to a Gateway initiated call to the sessionAborted() method on 
    * the callback interface.
    *
    * <BR><BR>MANUAL_UPDATE_REQUIRED Unable to determine correct activity listener
    * interface(s). Move to the correct activity listener interface(s). In some
    * cases you may have to move the method to more than one location, e.g.
    * onAbortActionResEvent() in the UI service should be moved to the
    * DeleteMessageActivity, RecordMessageActivity, CallRelatedSendInfo and
    * CallRelatedSendInfoAndCollect classes.
    *
    * @param  sessionAbortedEvent  Reference to a SessionAbortedEvent event 
    *        emmited from the impl or activity object. 
    */
    void onSessionAbortedEvent(org.csapi.jr.se.cs.SessionAbortedEvent sessionAbortedEvent);

}

