//Source file: InvalidRequestNumberException.java
//Date: January 2004
//Charging Interfaces and Data Types for 3GPP TS 29.198-12 V5.4.0

package org.csapi.jr.se.cs;

/**
 * Invalid request number specified.
 *
 */
public class InvalidRequestNumberException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public InvalidRequestNumberException() {
        super(); 
    }

    public InvalidRequestNumberException(String message) {
        super(message); 
    }

    public InvalidRequestNumberException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public InvalidRequestNumberException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // InvalidRequestNumberException

