//Source file: InvalidVolumeException.java
//Date: January 2004
//Charging Interfaces and Data Types for 3GPP TS 29.198-12 V5.4.0

package org.csapi.jr.se.cs;

/**
 * Invalid volume specified.
 *
 */
public class InvalidVolumeException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public InvalidVolumeException() {
        super(); 
    }

    public InvalidVolumeException(String message) {
        super(message); 
    }

    public InvalidVolumeException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public InvalidVolumeException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // InvalidVolumeException

